Lenovo L520 - "psmouse.c: touchpad at isa0060/serio4/input0 lost sync" and stops working for seconds

Bug #896922 reported by theghost on 2011-11-27
122
This bug affects 24 people
Affects Status Importance Assigned to Milestone
Linux
Invalid
Undecided
Unassigned
Xserver Xorg Input Synaptics
Invalid
Undecided
Unassigned
linux (Ubuntu)
High
Unassigned
xserver-xorg-input-synaptics (Ubuntu)
Medium
Unassigned

Bug Description

Since Maverick, when using the touchpad, it's often not working and stucks for seconds, in short, it is unusesable. This bug still happens in Ubuntu 11.10 on a Lenovo L520 with 3.0.0-13-generic. Its a Synaptics touchpad, maybe it's kernel bug. Dmesg produces the following output:
[14861.416567] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[14861.417899] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[14861.419232] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[14861.420563] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[14861.424233] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[14861.424240] psmouse.c: issuing reconnect request
[17240.238861] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 4
[17240.240191] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[17240.258248] psmouse.c: TouchPad at isa0060/serio4/input0 - driver resynched.
[17695.950963] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[17695.955414] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[17695.956743] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[17695.960402] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[17695.961736] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[17695.961740] psmouse.c: issuing reconnect request

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: linux-image-3.0.0-13-generic 3.0.0-13.22
ProcVersionSignature: Ubuntu 3.0.0-13.22-generic 3.0.6
Uname: Linux 3.0.0-13-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 1.23-0ubuntu4
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: PCH [HDA Intel PCH], device 0: ALC269VB Analog [ALC269VB Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: mathias 15841 F.... pulseaudio
CRDA: Error: [Errno 2] Datei oder Verzeichnis nicht gefunden
Card0.Amixer.info:
 Card hw:0 'PCH'/'HDA Intel PCH at 0xf0900000 irq 43'
   Mixer name : 'Intel CougarPoint HDMI'
   Components : 'HDA:10ec0269,17aa21de,00100100 HDA:80862805,80860101,00100000'
   Controls : 24
   Simple ctrls : 11
Card29.Amixer.info:
 Card hw:29 'ThinkPadEC'/'ThinkPad Console Audio Control at EC reg 0x30, fw 8GHT26WW-1.080000'
   Mixer name : 'ThinkPad EC 8GHT26WW-1.080000'
   Components : ''
   Controls : 1
   Simple ctrls : 1
Card29.Amixer.values:
 Simple mixer control 'Console',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
Date: Sun Nov 27 17:58:09 2011
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
MachineType: LENOVO 785954G
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-13-generic root=UUID=cf5078bd-6bdb-4d1b-a1bb-92d20c5ac60d ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.0.0-13-generic N/A
 linux-backports-modules-3.0.0-13-generic N/A
 linux-firmware 1.60
SourcePackage: linux
StagingDrivers: rts_pstor mei
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 10/06/2011
dmi.bios.vendor: LENOVO
dmi.bios.version: 8GET37WW (1.14 )
dmi.board.name: 785954G
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr8GET37WW(1.14):bd10/06/2011:svnLENOVO:pn785954G:pvrThinkPadL520:rvnLENOVO:rn785954G:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 785954G
dmi.product.version: ThinkPad L520
dmi.sys.vendor: LENOVO

theghost (theghost) wrote :
theghost (theghost) on 2011-11-27
summary: - [Lenovo L520] - psmouse.c: touchpad at isa0060/serio4/input0 lost sync
+ Lenovo L520 - "psmouse.c: touchpad at isa0060/serio4/input0 lost sync"
+ and stops working for seconds
Brad Figg (brad-figg) on 2011-11-27
Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . If possible, please test the latest v3.2-rcN kernel (Not a kernel in the daily directory). Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag(Only that one tag, please leave the others). This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed by the mainline kernel, please add the following tag 'kernel-fixed-upstream-KERNEL-VERSION'. For example, if kernel version 3.2-rc1 fixed and issue, the tag would be: 'kernel-fixed-upstream-v3.2-rc1'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'. If you believe this bug does not require upstream testing, please add the tag: 'kernel-upstream-testing-not-needed'.

Thanks in advance.

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: needs-upstream-testing
theghost (theghost) wrote :

I tested the mainline kernel 3.1.3-030103-generic, because 3.2.-rc2 did not boot properly.

In 3.1.3-030103-generic the issue remained, but compared to 3.0.0.12, the touchpad does not lockup so often anymore.
But I still get the dmesg output:

[46470.176451] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[46470.188833] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[46470.190163] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[46470.195521] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[46470.199712] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[46470.199716] psmouse.c: issuing reconnect request

tags: added: kernel-unable-to-test-upstream
removed: needs-upstream-testing
Benjamin Schmid (benbuntu) wrote :

I can confirm that this annoying issue is still present in 11.10 and i.e. also affects Lenovo Edge 11 AMD. Since some time it got even worse. There are some indications that the issue is caused by some interferences with the WLAN Driver.
There was a upstream bug report at https://bugzilla.kernel.org/show_bug.cgi?id=8740 but this has been closed due to inactivity.

I'm affected by this problem too, on Lenovo Thinkpad L520 running Ubuntu 11.10 amd64. I've built a new vanilla kernel (3.2.0) for 11.10, as well as tried Ubuntu 12.04 alpha 1. However, both are affected by this bug: https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/912992

However, I boot Ubuntu 12.04 alpha and test (with an external monitor) if the included 3.2.0 kernel fixes this issue. For me the loss of synchronization occurs failrly often (=several times an hour). I'll report back my findings, hopefully next weekend.

theghost (theghost) wrote :

@ Saumli: Thank you for testing the 12.04 kernel.

Btw: You don't have to build the vanilla kernel yourself. You can easily test the latest vanilla kernel via Ubuntu's Mainline Kernel Builds: http://kernel.ubuntu.com/~kernel-ppa/mainline/. There you can find prebuild debs. If you want to test Kernel 3.2.1 in Ubuntu 11.10 for example, you can install the Precise build also under 11.10: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.2.1-precise/

Benjamin Schmid (benbuntu) wrote :

I upgraded to Precise Beta 1 x86 a few days ago and there I also experience this problem at a annoying rate. I'll retry to test mainline kernel and report back.

tags: added: precise x86

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

You can update to the latest development kernel by simply running the following commands in a terminal window:

    sudo apt-get update
    sudo apt-get upgrade

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.2.0-18.28
brandon (b4tem4n) wrote :

I have a the same problem with the Dell Vostro V13. Mine works fine until I suspend. After suspension I get the exact same error with the touchpad.

SOLUTION:

The 3.2.0-18.28 finally fixed the problem. I am testing 12.04 beta and did a straight apt-get upgrade. The problem did not return (though my wired networking stopped working for some reason). This makes me happy since this issue has prevented me from using Linux across all distro's for many iterations of the kernel in the last year.

Joseph Salisbury (jsalisbury) wrote :

@TheGhost

Can you upgrade to the 3.2.0-18.28 kernel and see if the bug persists?

brandon (b4tem4n) wrote :

I want to reverse my previous statement. I am having the problem still. Not sure why it was fine briefly.

psmouse serio1: TouchPad at.... lost sync at byte 1

only after trying to resume a suspend

Dell Vostro v13

The last kernel that didn't do this was 2.6.32 I believe.

MeneM (mark-maas-martin) wrote :

I've had the same thing happening to me for a few months now as well. Lenovo Edge 13"

"[ 6601.995296] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 6601.996721] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 6602.001297] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 6602.002773] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 6602.006533] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 6602.006543] psmouse serio4: issuing reconnect request"

Happens about once every 10 minutes.

Changed in linux (Ubuntu):
milestone: none → quantal-alpha-3
Changed in oem-priority:
assignee: nobody → James M. Leddy (jm-leddy)
Chris Van Hoof (vanhoof) on 2012-06-25
Changed in oem-priority:
status: New → Confirmed
importance: Undecided → Medium
Eric Miao (eric.y.miao) wrote :

Those who have this same symptom please refer to bug #717970. We suspect this being an incorrect resuming sequence of the synaptics drivers, but the correct theory hasn't yet been formalized. Before a fix lands in upstream kernel, one can work around this by putting psmouse in the SUSPEND_MODULES variable of pm-utils, as stated in bug #717970.

@TheGhost and others, please confirm if this issue happens after suspend/resume, or it just happens randomly after system startup. Need to make sure if it's a duplicate issue. Thanks.

James M. Leddy (jm-leddy) wrote :

I'm removing the oem-prio project and attaching to 717970 instead, since that more closely matches the behavior that we see.

no longer affects: oem-priority
no longer affects: oem-priority/precise
no longer affects: oem-priority/quantal
theghost (theghost) wrote :

@ Eric Miao: I can confirm that this is definetely NOT an issue caused by suspend/resume. Moreover I think it's an issue often occuring on battery. After running on battery last night, shutting down and starting today in battery again, I suffer from this issue.

[ 948.066057] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 948.071026] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 948.075501] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 948.076834] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 948.082304] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 948.082313] psmouse serio4: issuing reconnect request

Running Ubuntu 12.04 x64 - 3.2.0-26-generic

theghost (theghost) wrote :

Duplicate Bug removed because I was told to file this issue as a seperate bug.

TheGhost, thank you for reporting this and helping make Ubuntu better.

Could you please provide the information following https://wiki.ubuntu.com/DebuggingTouchpadDetection#In_case_your_Touchpad_stops_working_after_a_while ?

As well, could you please confirm this issue exists with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/daily/current/ . If the issue remains, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the kernel in the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested and remove the tag:
needs-upstream-testing

This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the text:
needs-upstream-testing

If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested.

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested.

If you are unable to test the mainline kernel, please comment as to why specifically you were unable to test it and add the following tags:
kernel-unable-to-test-upstream
kernel-unable-to-test-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested.

Please let us know your results. Thank you for your understanding.

affects: linux (Ubuntu) → xserver-xorg-input-synaptics (Ubuntu)
Changed in xserver-xorg-input-synaptics (Ubuntu):
milestone: quantal-alpha-3 → none
tags: added: bot-stop-nagging i386 needs-upstream-testing
removed: kernel-request-3.2.0-18.28 kernel-unable-to-test-upstream x86
theghost (theghost) wrote :

I will add the necessary information in the following days piece by piece.

Today, I had this issue at first Ubuntu 12.04 x64 - 3.2.0-30-generic, after a clean boot:

dmesg | grep psmouse
[ 27.462037] psmouse serio4: synaptics: Touchpad model: 1, fw: 7.2, id: 0x1c0b1, caps: 0xd047b3/0xb40000/0xa0000
[ 27.462053] psmouse serio4: synaptics: serio: Synaptics pass-through port at isa0060/serio4/input0
[ 5842.313613] psmouse serio4: TouchPad at isa0060/serio4/input0 lost synchronization, throwing 5 bytes away.
[ 5842.336390] psmouse serio4: resync failed, issuing reconnect request

dmesg | grep thinkpad
[ 28.377479] thinkpad_acpi: ThinkPad ACPI Extras v0.24
[ 28.377483] thinkpad_acpi: http://ibm-acpi.sf.net/
[ 28.377486] thinkpad_acpi: ThinkPad BIOS 8GET42WW (1.19 ), EC 8GHT28WW-1.10
[ 28.377489] thinkpad_acpi: Lenovo ThinkPad L520, model 785954G
[ 28.378418] thinkpad_acpi: detected a 8-level brightness capable ThinkPad
[ 28.378781] thinkpad_acpi: radio switch found; radios are enabled
[ 28.378793] thinkpad_acpi: possible tablet mode switch found; ThinkPad in laptop mode
[ 28.379875] thinkpad_acpi: asked for hotkey mask 0x078dffff, but firmware forced it to 0x008dffff
[ 28.386885] thinkpad_acpi: rfkill switch tpacpi_bluetooth_sw: radio is blocked
[ 28.402710] thinkpad_acpi: Standard ACPI backlight interface available, not loading native one
[ 28.403041] thinkpad_acpi: Console audio control enabled, mode: monitor (read only)
[ 28.409029] input: ThinkPad Extra Buttons as /devices/platform/thinkpad_acpi/input/input10

As next, I will try the Mainline Kernel.

theghost (theghost) wrote :

This issue persits using the latest upstream kernel:

[ 750.149468] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 750.162604] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 750.163953] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 750.169367] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 750.173619] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 750.173630] psmouse serio4: issuing reconnect request

Tested 3.6.0-030600rc5-generic. Adding tags.

description: updated
tags: added: kernel-bug-exists-upstream kernel-bug-exists-upstream-3.6.0rc5
removed: needs-upstream-testing running-unity
tags: added: kernel-bug-exists-upstream-3.6.0-030600rc5
removed: kernel-bug-exists-upstream-3.6.0rc5
tags: added: running-unity
Jesse Parnell (jparnell0) wrote :

I have been having a similar issue with ubuntu 12.04 lts on a Compaq Presario v5000. My mouse would randomly either stop working completely (rare) or my ability to click and select objects was completely gone. My annoying bandaid fix was to "sudo rmmod psmouse, and sudo modprobe psmouse" in the terminal whenever the mouse acted up.

I ran into another better bandaid fix that seems to have helped so far (been running fine for the past 2 hours) which was posted on bug #96596 where "RooSoft" mentioned: "so I set i8042.dumbkbd=1 in the kernel parameters and not only did the spurious ACk error disappear but the psmouse lost sync messages too."

After doing the bandaid fix mentioned by RooSoft everything has been running pretty smoothly, my mouse will hiccup every once in a while, throw a it's errors in the system log, but it will never get stuck in a click event.

I hope this works for others out there, it was a big pain I had to deal with for 2 days, and it annoyed me to the point I wanted to trash ubuntu completely. If I run into a true solution ill post it here.

Jesse Parnell, could you please file a new report by executing the following in a terminal:
ubuntu-bug xserver-xorg-input-synaptics

For more on this, please see the Ubuntu Bug Control and Ubuntu Bug Squad article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_Reporting_Etiquette

When opening up the new report, please feel free to subscribe me to it. Thank you for your understanding.

Helpful Bug Reporting Links:
https://help.ubuntu.com/community/ReportingBugs#A3._Make_sure_the_bug_hasn.27t_already_been_reported
https://help.ubuntu.com/community/ReportingBugs#Adding_Apport_Debug_Information_to_an_Existing_Launchpad_Bug
https://help.ubuntu.com/community/ReportingBugs#Adding_Additional_Attachments_to_an_Existing_Launchpad_Bug

MeneM (mark-maas-martin) wrote :

Still there in 12.10:

Oct 19 11:01:35 tribble kernel: [ 1939.477224] psmouse serio4: >TouchPad at isa0060/serio4/input0 lost sync at byte 1
Oct 19 11:01:35 tribble kernel: [ 1939.478635] psmouse serio4: >TouchPad at isa0060/serio4/input0 lost sync at byte 1
Oct 19 11:01:35 tribble kernel: [ 1939.480030] psmouse serio4: >TouchPad at isa0060/serio4/input0 lost sync at byte 1
Oct 19 11:01:35 tribble kernel: [ 1939.481428] psmouse serio4: >TouchPad at isa0060/serio4/input0 lost sync at byte 1
Oct 19 11:01:35 tribble kernel: [ 1939.485700] psmouse serio4: >TouchPad at isa0060/serio4/input0 lost sync at byte 1
Oct 19 11:01:35 tribble kernel: [ 1939.485712] psmouse serio4: >issuing reconnect request

It actually takes longer to respond now then it did in 12.04.

MeneM (mark-maas-martin) wrote :

Yes, I saw that. So somewhere there "May" be a new bug report. I do not know. No link to the new bugreport, no number to search on, etc.

So I'm still filing it here.

MeneM, regarding your comments https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-input-synaptics/+bug/896922/comments/24 :
>"Yes, I saw that."

Great, so what is the link to the bug report you just reported?

>"So somewhere there "May" be a new bug report. I do not know. No link to the new bugreport, no number to search on, etc."

This would be because you did not file a new report.

>"So I'm still filing it here."

Unfortunately, one cannot file a bug report within another original reporter's bug report. That is not how bug reporting works, as mentioned in https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-input-synaptics/+bug/896922/comments/21 .

MeneM (mark-maas-martin) wrote :

You don't understand I think. The original bugreporter maybe, perhaps, perhaps not, decided to create a new bug report. How can I know?

I do know that creating another on my account makes no sense when there is a perfectly good bugreport already here.

By the way, this bug report already seems to be the umpteenth one that was opened about this issue. Do we really need another one?

Why the need to create another one?.. Whatever.

theghost (theghost) wrote :

I can understand you MeneM. I have this bug since I bought my Laptop (3 Ubuntu releases ago).
Also I responded to a lot of bug reports concerning this issue on Launchpad. The reaction is all the same: "Please file a new bug report". It ridicolous. Why should I file a new bug report for the same issue, with the result, that all the other reports are beeing closed because they lost the attention, because we have thousand of new bug reports. It's no wonder why every Ubuntu package has this much bugs here on Launchpad. I am really tired of this process. I just want my Laptop to work well with Ubuntu.

All in all, it seems that this issue is never going to get fixed by the Kernel Team. So what, I will file this bug at the upstream Kernel bugtracker, maybe people are more interested in a solution there.

So please, go on close this bug report or let it rot, like all the other bugs, concerning this issue.

tags: added: quantal

TheGhost, regarding your comments https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-input-synaptics/+bug/896922/comments/27 https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-input-synaptics/+bug/896922/comments/27 :
>"All in all, it seems that this issue is never going to get fixed by the Kernel Team."

It's hard for anyone in the Ubuntu Community to fix your problem if it does not have all the minimum requirement information requested previously of you in https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-input-synaptics/+bug/896922/comments/17 , in order to get this bug report marked Triaged. For more on Kernel Team bug policies please see https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Triaged_Bugs . For more on the Status Triaged please see https://wiki.ubuntu.com/Bugs/Status .

"So what, I will file this bug at the upstream Kernel bugtracker, maybe people are more interested in a solution there."

If you are using a Ubuntu kernel, not a mainline kernel, it's not considered an upstream issue. For more on this please see https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Overview_on_Reporting_Bugs_Upstream .

MeneM (mark-maas-martin) wrote :

And it's equally hard for us.., neigh impossible, to gather more info then already has been gathered with all the bug reports.
If there is a way: tell us how. Do not tell us how to create a new bugreport. Tell us how to get more info about THIS bug.

It's not that I do not want to help, and simply expect to have this fixed or something, but I'm no kernel dev. I need instructions to go deeper then truss, a tail of syslog, etc.

theghost (theghost) wrote :

Ok then, let's do this again:

1. >"Could you please provide the information following https://wiki.ubuntu.com/DebuggingTouchpadDetection#In_case_your_Touchpad_stops_working_after_a_while ?"

According to this instructions of the wiki I should try to reproduce this issue by pressing keys and look at evtest events, but only if my external mouse is NOT working when connected.

But my external mouse is working when the touchpad is not. So no bug filing against HAL and no looking at evtest events.

2. >"As well, could you please confirm this issue exists with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/daily/current/ . If the issue remains, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:"

It is in the latest development release (Quantal), see tags. Now the dev. release is 13.04.

3. >"Also, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ?"

Tested against Mainline 3.6 rc5. Had still this issue. So which information are exactly missing?

As part of the coorperation of Canonical with Lenovo as OEM, where the Thinkpad L520 was/is shipped with Ubuntu preinstalled, one could think, that there is a higher chance to get this fixed, than other issues, but it's not the case. But why should customers of preinstalled Ubuntu as part of an OEM deal care if there hardware (especially the touchpad) is working properly ?

> "If you are using a Ubuntu kernel, not a mainline kernel, it's not considered an upstream issue"

As I have written, it's not in an Ubuntu related issue, also that's not the problem. I can use your Mainline Kernel debs or I will compile the Mainline Kernel by myself.

> "It's not that I do not want to help, and simply expect to have this fixed or something, but I'm no kernel dev. I need instructions to go deeper then truss, a tail of syslog, etc."

Word

theghost (theghost) wrote :

FYI: found the upstream bug report.

https://bugzilla.kernel.org/show_bug.cgi?id=8740

Maybe someone could add it to this bug, as I haven't found out how to add upstream projects to Launchpad.

tags: added: kernel-bug-exists-upstream-v3.6-rc5-quantal needs-upstream-testing
removed: kernel-bug-exists-upstream kernel-bug-exists-upstream-3.6.0-030600rc5
2046 (2046-o) wrote :

hello

I have the same problem on Lenovo ThinkPad L530. Xubuntu 12.04 and also on my actual Xubuntu 12.10 (3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux)

the command
sudo modeprobe -r psmouse
sudo modeprobe psmouse

sometimes fixes the issue sometimes the mouse is unfreezed but still badly responsive.

2046, if you have a bug in Ubuntu, could you please file a new report by executing the following in a terminal:
ubuntu-bug xserver-xorg-input-synaptics

For more on this, please see the Ubuntu X.Org Team, Ubuntu Bug Control, and Ubuntu Bug Squad article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs

When opening up the new report, please feel free to subscribe me to it. Thank you for your understanding.

Timo Aaltonen (tjaalton) on 2013-01-17
Changed in xserver-xorg-input-synaptics (Ubuntu):
status: Incomplete → Confirmed
Changed in linux:
importance: Unknown → Medium
status: Unknown → Confirmed
theghost (theghost) wrote :

I don't think it's an duplicate of #717970. As written above, this issue is still not resolved for me with 3.5.0-23.
Also the lost sync issue occurs even after fresh boot and not only after resume.

theghost (theghost) wrote :

Here are some steps to easily reproduce the issue:

1. Start typing text in a program like firefox.
2. Try to use your touchpad immediatly after typing.

It occurs often that the touchpad is not usable in step 2 because it lost sync.
Heres my dmesg log.

[ 27.145500] psmouse serio4: synaptics: Touchpad model: 1, fw: 7.2, id: 0x1c0b1, caps: 0xd047b3/0xb40000/0xa0000
[ 27.145517] psmouse serio4: synaptics: serio: Synaptics pass-through port at isa0060/serio4/input0
[ 35.400578] psmouse serio5: trackpoint: IBM TrackPoint firmware: 0x0e, buttons: 3/3
[ 148.433264] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 148.438244] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 148.442802] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 148.444135] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 148.457697] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 148.457707] psmouse serio4: issuing reconnect request
[ 195.273729] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 195.278710] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 195.283225] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 195.284554] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 195.290365] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 195.290372] psmouse serio4: issuing reconnect request
[ 705.102333] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 4
[ 705.103636] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 705.127931] psmouse serio4: TouchPad at isa0060/serio4/input0 - driver resynced.

TheGhost, could you please test Raring via http://cdimage.ubuntu.com/daily-live/current/ and report the results?

tags: added: maverick natty
Changed in linux (Ubuntu):
importance: Undecided → High
status: New → Incomplete
theghost (theghost) wrote :

Tested the daily image with the same results. Also I found an easier way to reproduce these errors.

1. At first ensure in System Settings -> Touchpad that the touchpad is not locked during typing.
2. Start moving the cursor with the touchpad and start typing during you move the cursor. After a certain number of signs you got the following error ever and ever:

[ 25.224382] psmouse serio4: synaptics: Touchpad model: 1, fw: 7.2, id: 0x1c0b1, caps: 0xd047b3/0xb40000/0xa0000, board id: 71, fw id: 578367
[ 25.224399] psmouse serio4: synaptics: serio: Synaptics pass-through port at isa0060/serio4/input0
[ 33.617123] psmouse serio5: trackpoint: IBM TrackPoint firmware: 0x0e, buttons: 3/3
[ 118.758727] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 4
[ 118.764077] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 118.785864] psmouse serio4: TouchPad at isa0060/serio4/input0 - driver resynced.
[ 149.034469] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 149.047578] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 149.048882] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 149.054347] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 149.058587] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 149.058598] psmouse serio4: issuing reconnect request

tags: added: raring
Jakub Orlowski (jakub-o) wrote :

For me it first appeared on quantal, it was absolutely fine before! Using Lenovo 3000 N100
Maybe it is a different bug and maybe its some consequenceof this one:

It is as if windows were losing focus for the pointer. i can move and click, but the click would not have any effect, or affect the window behind. Could it be an Xorg problem aswell?
temporary fix is to switch to virtual console and back, but it can happen up to multiple times within a minute which is quite nasty. Sometimes it clicks randomly, left right or center mouse-button (i.e. left and right at the same time) or makes the pointer jump visciously.

theghost (theghost) wrote :

@jakub-o: It seems that there was an regression in kernel 3.9 which introduced this issue for certain users. Which kernel do you use at the moment ?

Do you get a similar dmesg output ?

In kernel 3.10 a patch was applied which brings some improvement in this situation according to a number of testers and myself. Maybe it brings relief to you. If you want and have the knowledge you can test it yourself [1].

Also the Chromium guys proposed a patch similar patch [2] which could bring some improvement too. If you want you can build your own kernel using the patch [3]. For me it brought no improvement, but I would be good to get more test data for it.

[1] https://wiki.ubuntu.com/Kernel/MainlineBuilds#Mainline_Kernels_Archive

[2] https://patchwork.kernel.org/patch/2156601/

[3] https://wiki.ubuntu.com/Kernel/BuildYourOwnKernel

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Mathias Dietrich, thank you for testing the mainline kernel. Which v3.10-rc did you test? As well, did the mainline kernel you tested completely eliminate the problem, or just alleviate major symptoms?

If it did not completely eliminate the problem, as per http://support.lenovo.com/en_US/downloads/default.page? an update is available for your BIOS (1.21). If you update to it, does it change anything?

If not, could you please provide the output of the following terminal command:
sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date

Thank you for your understanding.

tags: added: bios-outdated-1.21
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
theghost (theghost) wrote :

I tested v.3.10-rc7. It brought improvement as the timeout-time, where the touchpad is unusable is reduced but it is still reproducable to trigger the error [1] by heavy typing during using the touchpad.

I already used the latest bios version (1.21) of my laptop, as you can see in the output [2] of sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date.

[1] psmouse serio4: issuing reconnect request
 psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
 psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
 psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 4
psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
 psmouse serio4: issuing reconnect request

[2] 8GET44WW (1.21 )
04/12/2013

tags: removed: bios-outdated-1.21
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: kernel-bug-exists-upstream kernel-bug-exists-upstream-v3.10-rc7 latest-bios-1.21
removed: kernel-bug-exists-upstream-v3.6-rc5-quantal needs-upstream-testing
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
theghost (theghost) wrote :

I started to use this Laptop on Lucid (11.10) therefore filed the bug against Lucid kernel. As this was an issue in every kernel from update to update (11.10 -> 12.04 -> 12.10 -> 13.04), the issue is now also in 13.04 and also still mainline [1]

[1] https://bugzilla.kernel.org/show_bug.cgi?id=8740

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: lucid
rooobertek (rooobertek) wrote :

Today was this bug upgraded on my L520. See last row in attached dmesg. Cursor completely disappeared until reboot.
It's horrible to have mouse freezed many times a hour... Since I started to write this message, it happened two times.

tags: added: needs-upstream-testing
removed: kernel-bug-exists-upstream
theghost (theghost) wrote :

Tested Kernel 3.10.2, issue still exists:

[ 153.617780] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 153.622898] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 153.627499] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 153.628887] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 153.634310] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 153.634323] psmouse serio4: issuing reconnect request

tags: added: kernel-bug-exists-upstream
removed: needs-upstream-testing
tags: added: kernel-bug-exists-upstream-3.10.2
removed: kernel-bug-exists-upstream
tags: added: needs-upstream-testing
removed: kernel-bug-exists-upstream-3.10.2
theghost (theghost) wrote :

Tested 3.11-rc2, the issue persists.

tags: added: kernel-bug-exists-upstream-v3.11-rc2
removed: needs-upstream-testing

Mathias Dietrich, thank you for testing the newest mainline kernel. Could you please provide the information following https://wiki.ubuntu.com/DebuggingTouchpadDetection#In_case_at_least_one_of_the_Touchpad_features_work.2C_but_does_not_work_correctly_and_as_expected ?

tags: added: kernel-bug-exists-upstream
removed: kernel-bug-exists-upstream-v3.10-rc7
Jaroslav (jaroslavj) wrote :

This happens to me on 13.04, kernel 3.8.0-26-generic on a Lenovo L420

I don't use the touchpad, this happens to me when using the trackpoint.

Christopher what debug info would you want in this case?

[ 847.742061] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 4
[ 847.752911] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 4
[ 847.754249] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 847.755297] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 847.764611] psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 4
[ 847.764621] psmouse serio4: issuing reconnect request

theghost (theghost) wrote :

This contains the evtest using 3.11-rc2. As this was testet using VT where I don't see the mouse pointer, I cannot be sure whether the lost sync event was triggered.

theghost (theghost) wrote :
theghost (theghost) wrote :
theghost (theghost) wrote :

As you can see from this log, I heavily typed and at the same time moved the mouse via touchpad until the lost-sync event was trigged. Immedeately after the event was trigged I switched to terminal using ALT-L+TAB and killed xev with STRG+C.

klamm2001 (klamm2001) wrote :

I have this problem since 3.2.0-46 -generic, the last upgrade doesnt fix it so in 3.2.0-51-generic you get the same error on logs:

psmouse serio4: TouchPad at isa0060/serio4/input0 lost sync at byte 4

My machine is a Lenovo l520 with 64 bit Ubuntu

Jaroslav (jaroslavj) wrote :

Mathias, klamm2001 does the error appear when you are using wifi? If yes, try with Ethernet cable or without a connection(turn off the wifi card with the switch)

theghost (theghost) wrote :

@Jaroslav, this issue is also trigged when wifi is disabled via hardware switch.

klamm2001 (klamm2001) wrote :

ThinkPad-L520 3.2.0-53-generic and *still* same issue, is the same with the wifi turn off.

Any idea?

Mathias Dietrich, would you please test for this in Saucy? If reproducible, could you please test the latest mainline kernel via http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.11-saucy/ ?

tags: added: needs-upstream-testing
removed: kernel-bug-exists-upstream
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
theghost (theghost) wrote :

Retested with Saucy and latest stable upstream kernel 3.11. It is still possible to trigger the issue.

tags: added: kernel-bug-exists-upstream
removed: needs-upstream-testing

Unlinking from kernel.org bug tracker as that is already a dogpiled, catch all trash report that concerns the touchpad of a Lenovo 3000 n100, not a Lenovo 520.

Changed in linux:
importance: Medium → Undecided
status: Confirmed → New
affects: xserver-xorg-input-synaptics (Fedora) → xserver-xorg-input-synaptics
Changed in xserver-xorg-input-synaptics:
importance: Unknown → Undecided
status: Unknown → New
tags: added: kernel-bug-exists-upstream-v3.11
removed: kernel-bug-exists-upstream-v3.11-rc2

Mathias Dietrich, for regression testing purposes, could you please test for this in Edgy live via http://old-releases.ubuntu.com/releases/edgy/ ?

theghost (theghost) wrote :

@ christopher: Edgy won't work, as the Lenovo L520 is a Sandybridge Laptop which is supported by Kernel since Ubuntu 11.04.

Mathias Dietrich, this wouldn't really matter as you already noted you could use Lucid (10.04) on this laptop, which pre-dates 11.04. Did you mean you used Oneiric (11.10) or Lucid (10.04)?

As well, if you ment Lucid, could you please perform the requested action noted in https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-input-synaptics/+bug/896922/comments/62 ?

tags: added: needs-upstream-testing
removed: kernel-bug-exists-upstream
theghost (theghost) wrote :

@ Christopher: sorry, I mixed up the release name. I meant 11.10 Oneiric and not Lucid. As I already stated, all releases < 11.04 won't work because Sandybridge Support was added after the 10.10 release. If you want I can test 11.04 if it helps somehow.

Nevertheless I believe that my upstream bug-report was valid as it features exactly the same symptoms as the Lenovo L520. Moreover, it contains reports of several users with an Lenovo L520. It seems to hit a number of Synaptic touchpad models / firmwares, so it is not uncommon that different laptop models are affected. So I propose to relink the upstream bug, so Ubuntu users can reach out to upstream.

tags: added: kernel-bug-exists-upstream
removed: lucid needs-upstream-testing

Mathias Dietrich, you noted in your Bug Description you could run Maverick (10.10) which also pre-dates 11.04. Please perform the requested action noted in https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-input-synaptics/+bug/896922/comments/62 so we may move forward.

tags: added: needs-upstream-testing
removed: kernel-bug-exists-upstream
description: updated
Gero Graubner (graubner) wrote :

I just discovered (using Thinkpad L520 with 12.04 LTS, Kernel 3.2.0-53-generic), that there must be something wrong with the CPU frequency scaling.

Found this in the Arch-Linux Wiki:

'If you use CPU frequency scaling, avoid using the "ondemand" governor and use the "performance" governor when possible, as the touchpad may lose sync when the CPU frequency changes."

https://wiki.archlinux.org/index.php/Touchpad_Synaptics#Touchpad_synchronization_issues

If I set the governor to "performance" instead of "ondemand" the sync-faults totaly gone.

If you run Unity you can try the indicator-cpufreq (sudo apt-get install indicator-cpufreq)

Choose "performance" and test it. No stucks and sync-faults.
After going back to "ondemand" the stucks are back.

The gonvernor was always set to "performance" after boot/login, but was switched to "ondemand" after a minute or so (to speed up login speed as much as possible)

As a workaround until (hopefully) a fix is comming:
So, if you want to set the govenor fix to "performance" you have to edit the file: etc/init.d/ondemand (line 27) and change

echo -n ondemand > $CPUFREQ

to

echo -n performance > $CPUFREQ'

or simply paste:
sudo sed -i s/'echo -n ondemand > $CPUFREQ'/'echo -n performance > $CPUFREQ'/g /etc/init.d/ondemand

and reboot.

To switch it back to default "ondemand" paste:
sudo sed -i s/'echo -n performance > $CPUFREQ'/'echo -n ondemand > $CPUFREQ'/g /etc/init.d/ondemand

Gero

klamm2001 (klamm2001) wrote :

Hi Gero:

I'm using Thinkpad L520 with 12.04 LTS, Kernel 3.2.0-54-generic, I tried what you post but the issue is there. Any new idea?

I have this problem since 3.2.0.46-generic but not before, 3.2.0.45 works fine.

theghost (theghost) wrote :

@Gero: Tried the performance govenor using Kernel 3.8.0-30-generic. It did not fix the issue, the touchpad still lost sync.

Vipin (v-rathor) wrote :

All,
I'm facing the same problem since yesterday. The trackpoint (I don't use touchpad) just freezes on my Thinkpad T420 running 12.04 and 3.2.0-57-generic-pae kernel.
After reading the entire thread, I also tried Gero's suggestion but it didn't work for me.
For the first time (when trackpoint froze yesterday) i got the similar errors in dmesg and syslog like:
Dec 17 13:51:55 vipin-thinkpad-t420 kernel: [13612.139398] psmouse serio1: TouchPad at isa0060/serio1/input0 lost sync at byte 1
But today, the trackpoint froze for 3-4 times and such errors are not seen in logs.
I also noticed that this happens when I'm typing and want to use trackpoint immediately after that.
Strangely, I'm using this laptop (with same OS) since last 1+ year, this problem started to happen since yesterday only. And now it is happening everytime in only 5-10 mins after reboot.
Just wanted to give an update on my problem, so anyone working on this problem currently?

Vipin, so your hardware may be tracked, could you please file a new report by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

klamm2001 (klamm2001) wrote :

I still have the issue, update after update since 3.2.0-45 on my Lenovo L520

klamm2001, so your hardware may be tracked, could you please file a new report by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

Mathias Dietrich, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please just make a comment to this.

If reproducible, could you also please test the latest upstream kernel available via http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.13-rc8-trusty/ and advise to the results?

Jon Vaughan (jsvaughan) wrote :

Although I await Mathias's reply, this is absolutely a current problem for me on a recently purchased Thinkpad t440s with:

uname -a:
Linux mv8 3.11.0-15-generic #23-Ubuntu SMP Mon Dec 9 18:17:04 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

What is it about the latest dev release / kernel that you believe will fix this?

Jon Vaughan, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

Jon Vaughan (jsvaughan) wrote :

Christopher, I have raised https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1268365

However this bug (896922) was originally created by Matthias after he was told do do so in similar circumstances on https://bugs.launchpad.net/ubuntu/+source/linux/+bug/773433, a bug which is now marked as Expired. I respect that you want to distinguish specific individual circumstances but this is a severe problem (I have had to restart psmouse twice while writing this) and creating separate unlinked bugs dilutes the impact, and presumably reduces the chances of it being looked at. From a quick google I found also these which look like exactly the same issue:

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1165089 (raised 5/4/2013, also marked as Expired) and
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-input-synaptics/+bug/1198274 (raised 5/7/2013, which you have put a similar comment on)
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-input-synaptics/+bug/1261133 (raised 15/12/2013, which you have put a similar comment on)

Could we perhaps nominate one of these to be the the master issue and mark it with an appropriate severity, and mark the others all as duplicates?

theghost (theghost) wrote :

@Christopher: I will retest the latest Kernels within the next few days.

@Jon: I propose to keep an eye on the upstream bug-report, which I linked here in the past (https://bugzilla.kernel.org/show_bug.cgi?id=8740). Even though it was removed from this bug tracker, it's still open in the Kernel's bugtracker.
Also it's better to contribute feedback there, given the fact that this bug is known by Canonical and open since 2011 and the Lenovo L520 is a offically certified Ubuntu device, nothing is was done to clear out this issue.

But for the sake to not get this closed due to inactivity, I will retest all.

theghost (theghost) wrote :

Tested Trusty and Kernel 3.13-rc8. The issue is still there.

tags: added: kernel-bug-exists-upstream kernel-bug-exists-upstream-v3.13-rc8

Mathias Dietrich, the issue you are reporting is an upstream one. Could you please report this problem through the appropriate channel by following the instructions _verbatim_ at https://wiki.ubuntu.com/Bugs/Upstream/kernel ?

Please provide a direct URL to your e-mail to the mailing list once you have made it so that it may be tracked.

Thank you for your understanding.

tags: removed: kernel-bug-exists-upstream-v3.11 needs-upstream-testing
Changed in linux (Ubuntu):
status: Incomplete → Triaged
vik (askvictor) wrote :

I'm getting the same problem in 15.10 on a Lenovo Thinkpad Yoga S1. Strange thing is it sometimes works fine for ages, then other times it drops out every few seconds; enough to make it unusable.

syslog shows the following during a dropout:

Mar 1 16:07:54 vikyoga kernel: [26685.609961] psmouse serio1: TouchPad at isa0060/serio1/input0 lost synchronization, throwing 3 bytes away.
Mar 1 16:07:54 vikyoga kernel: [26686.120271] psmouse serio1: resync failed, issuing reconnect request
Mar 1 16:07:55 vikyoga kernel: [26686.967293] psmouse serio1: synaptics: queried max coordinates: x [..5708], y [..4698]
Mar 1 16:07:55 vikyoga kernel: [26687.012599] psmouse serio1: synaptics: queried min coordinates: x [1232..], y [1156..]
Mar 1 16:07:55 vikyoga kernel: [26687.012605] psmouse serio1: synaptics: quirked min/max coordinates: x [1232..5710], y [1156..4696]
Mar 1 16:08:09 vikyoga kernel: [26700.751279] psmouse serio1: TouchPad at isa0060/serio1/input0 lost synchronization, throwing 3 bytes away.
Mar 1 16:08:09 vikyoga kernel: [26701.264229] psmouse serio1: resync failed, issuing reconnect request
Mar 1 16:08:10 vikyoga kernel: [26701.947059] psmouse serio1: synaptics: Unable to query device.
Mar 1 16:08:10 vikyoga kernel: [26702.077439] psmouse serio1: Failed to deactivate mouse on isa0060/serio1
Mar 1 16:08:10 vikyoga kernel: [26702.241110] psmouse serio1: Failed to enable mouse on isa0060/serio1
Mar 1 16:08:14 vikyoga kernel: [26706.283941] psmouse serio1: synaptics: queried max coordinates: x [..5708], y [..4698]
Mar 1 16:08:15 vikyoga kernel: [26706.329401] psmouse serio1: synaptics: queried min coordinates: x [1232..], y [1156..]
Mar 1 16:08:15 vikyoga kernel: [26706.329406] psmouse serio1: synaptics: quirked min/max coordinates: x [1232..5710], y [1156..4696]
Mar 1 16:08:15 vikyoga kernel: [26706.413421] psmouse serio1: synaptics: Touchpad model: 1, fw: 8.1, id: 0x1e2b1, caps: 0xd002a3/0x940300/0x12f800/0x0, board id: 2911, fw id: 2560
Mar 1 16:08:15 vikyoga kernel: [26706.413429] psmouse serio1: synaptics: serio: Synaptics pass-through port at isa0060/serio1/input0
Mar 1 16:08:15 vikyoga kernel: [26706.466911] input: SynPS/2 Synaptics TouchPad as /devices/platform/i8042/serio1/input/input72
Mar 1 16:08:21 vikyoga kernel: [26712.360511] psmouse serio7: trackpoint: IBM TrackPoint firmware: 0x0e, buttons: 3/3
Mar 1 16:08:21 vikyoga kernel: [26712.641868] input: TPPS/2 IBM TrackPoint as /devices/platform/i8042/serio1/serio7/input/input73
Mar 1 16:08:13 vikyoga com.canonical.Unity.Scope.Home[16215]: message repeated 10 times: [ (unity-scope-home:23786): unity-scope-home-WARNING **: scope.vala:235: Failed to get list of remote scopes: Request failed with error 2]
Mar 1 16:08:23 vikyoga com.canonical.Unity.Scope.File.Gdrive[16215]: Search changed to: ''

vik (askvictor) wrote :

I pulled apart my laptop and cleaned and re-seated the keyboard and touchpad cables. Since then I haven't had this issue occur.

Dimitrenko (paviliong6) on 2017-07-04
Changed in linux (Ubuntu):
status: Triaged → Fix Released
Changed in xserver-xorg-input-synaptics (Ubuntu):
status: Confirmed → Fix Released
Changed in linux:
status: New → Invalid
Changed in xserver-xorg-input-synaptics:
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.